ruby on rails - Impossibile trovare linecache19-0.5.13 in una delle fonti su Windows 7 x64




ruby-on-rails rubygems (4)

In base alla risposta dell'utente user154184, ho potuto farlo funzionare utilizzando questi comandi di seguito. Fondamentalmente scarica il file gem binario per linecache19 da rubyforge e installa il gem usando quel file gem binario.

> curl -OL http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem
> gem install linecache19-0.5.13.gem 

Ho installato Ruby, se corro

ruby -v

Io vedo:

ruby 1.9.3p125 (2012-02-16) [i386-mingw32]

Se corro nella mia app dir

rails server

produzione:

←[31mCould not find multi_json-1.3.2 in any of the sources←[0m
←[33mRun `bundle install` to install missing gems.←[0m

In esecuzione

bundle install

questo errore appare:

Fetching source index for http://rubygems.org/
Could not find linecache19-0.5.13 in any of the sources

qual è il problema?


L' bundle update risolto questo problema per me.



sei dietro un firewall?

puoi installare manualmente "linecache" eseguendo "$ gem install linecache"?

se nessuno dei due funziona, assicurati di poter accedere a Internet utilizzando "gem". vedi l'opzione "-p" della gemma.





rubygems